GROUPMEMS(8)

NAZWA
groupmems - administrowanie członkami podstawowej grupy użytkownika

SKŁADNIA

groupmems -a nazwa_użytkownika | -d nazwa_użytkownika |
    -l | -D | [-g nazwa_grupy]

OPIS
Program narzędziowy groupmems umożliwia użytkownikowi administrowanie listą członków jego/jej własnej grupy bez konieczności posiadania uprawnień superużytkownika. Program ten jest przeznaczony dla systemów, których użytkownicy posiadają swoje własne grupy podstawowe (np. guest / guest).

Jedynie superużytkownik, jako administrator, może za pomocą groupmems zmieniać przynależność do innych grup.

OPCJE
Polecenie groupmems posiada następujące opcje:

-a nazwa_użytkownika
    Dodaje nowego użytkownika do listy członków grupy.

-d nazwa_użytkownika
    Usuwa użytkownika z listy członków grupy.

-D  Usuwa wszystkich użytkowników z listy członków grupy.

-g nazwa_grupy
    Superużytkownik może podać grupę, której lista członków ma zostać zmieniona.

-l  Wypisuje listę członków grupy.

USTAWIENIA
Program groupmems powinien posiadać uprawnienia 2770 oraz należeć do użytkownika root i grupy groups. Administrator systemu może za dodając użytkowników do grupy groups zabronić im lub pozwolić na korzystanie z programu groupmems w celu zarządzania listami członków ich własnych grup.

     $ groupadd -r groups
     $ chmod 2770 groupmems
     $ chown root.groups groupmems
     $ groupmems -g groups -a gk4

PLIKI
/etc/group
/etc/gshadow

ZOBACZ TAKŻE
chfn(1), chsh(1), passwd(1), groupadd(8), groupdel(8) useradd(8), userdel(8), usermod(8),

AUTOR
George Kraft IV (gk4@us.ibm.com)